Module | ActionView::Helpers::DebugHelper
In: | lib/action_view/helpers/debug_helper.rb

Provides a set of methods for making it easier to debug Rails objects.

### Methods

debug

### Public Instance methods

debug(object)

Returns a <pre>-tag that has `object` dumped by YAML. This creates a very readable way to inspect an object.

#### Example

     my_hash = {'first' => 1, 'second' => 'two', 'third' => [1,2,3]}
     debug(my_hash)

     => <pre class='debug_dump'>---
     first: 1
     second: two
     third:
     - 1
     - 2
     - 3
     </pre>

[Validate]